Bug 80482 - Rename notification properties and functions
: Rename notification properties and functions
Status: RESOLVED FIXED
: WebKit
HTML DOM
: 528+ (Nightly build)
: Macintosh Mac OS X 10.7
: P2 Normal
Assigned To:
:
: InRadar
: 80497
: 80472
  Show dependency treegraph
 
Reported: 2012-03-06 21:12 PST by
Modified: 2012-04-01 16:15 PST (History)


Attachments
WIP (12.38 KB, patch)
2012-03-07 16:40 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
WIP #2 (15.68 KB, patch)
2012-03-07 17:05 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (19.13 KB, patch)
2012-03-08 14:05 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (22.88 KB, patch)
2012-03-13 23:31 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (22.51 KB, patch)
2012-03-13 23:37 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (21.45 KB, patch)
2012-04-01 15:25 PST, Jon Lee
haraken: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-06 21:12:57 PST
Proposal:
1. replaceId -> id
2. cancel -> close

<rdar://problem/10912432>
------- Comment #1 From 2012-03-07 16:40:06 PST -------
Created an attachment (id=130724) [details]
WIP
------- Comment #2 From 2012-03-07 17:05:34 PST -------
Created an attachment (id=130729) [details]
WIP #2
------- Comment #3 From 2012-03-07 18:16:37 PST -------
(In reply to comment #0)
> Proposal:
> 1. replaceId -> id
> 2. cancel -> close

Is this speced?

It appears that the spec uses replaceId and cancel():

http://www.w3.org/TR/notifications/
------- Comment #4 From 2012-03-07 18:17:30 PST -------
(From update of attachment 130729 [details])
Attachment 130729 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11865047
------- Comment #5 From 2012-03-07 19:17:11 PST -------
(From update of attachment 130729 [details])
Attachment 130729 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11867056
------- Comment #6 From 2012-03-07 19:43:06 PST -------
(In reply to comment #3)
> (In reply to comment #0)
> > Proposal:
> > 1. replaceId -> id
> > 2. cancel -> close
> 
> Is this speced?
> 
> It appears that the spec uses replaceId and cancel():
> 
> http://www.w3.org/TR/notifications/

No this is not agreed upon in the spec yet. It's still under discussion. But I decided to post the patch up anyway to get the EWS results. Anyway, I don't intend on submitting this until there's been discussion and agreement in the WG.
------- Comment #7 From 2012-03-07 19:45:19 PST -------
(From update of attachment 130729 [details])
> No this is not agreed upon in the spec yet. It's still under discussion. But I decided to post the patch up anyway to get the EWS results. Anyway, I don't intend on submitting this until there's been discussion and agreement in the WG.

OK, let me invalidate r?.
------- Comment #8 From 2012-03-08 00:26:56 PST -------
(From update of attachment 130729 [details])
Attachment 130729 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/11865179
------- Comment #9 From 2012-03-08 14:05:44 PST -------
Created an attachment (id=130900) [details]
Patch
------- Comment #10 From 2012-03-08 14:11:50 PST -------
(From update of attachment 130900 [details])
r- due to no consensus on the spec.

You can upload the patch with the "--no-review" option, if you do not intend to have the patch be reviewed. If you want to see the ews-bot results, you can just click "Submit for EWS analysis".
------- Comment #11 From 2012-03-13 23:31:46 PST -------
Created an attachment (id=131792) [details]
Patch
------- Comment #12 From 2012-03-13 23:37:15 PST -------
Created an attachment (id=131793) [details]
Patch
------- Comment #13 From 2012-04-01 15:25:31 PST -------
Created an attachment (id=135015) [details]
Patch
------- Comment #15 From 2012-04-01 15:32:42 PST -------
The patch looks OK.

(In reply to comment #14)
> http://lists.w3.org/Archives/Public/public-web-notification/2012Mar/0024.html
> http://lists.w3.org/Archives/Public/public-web-notification/2012Mar/0013.html

Is the spec going to be updated soon (i.e. did anyone start the work)? If so, let me r+ it. I am a bit afraid that the WebKit implementation becomes inconsistent with the spec in case where no one is interested in updating the spec.
------- Comment #16 From 2012-04-01 15:53:46 PST -------
(In reply to comment #15)
> The patch looks OK.
> 
> (In reply to comment #14)
> > http://lists.w3.org/Archives/Public/public-web-notification/2012Mar/0024.html
> > http://lists.w3.org/Archives/Public/public-web-notification/2012Mar/0013.html
> 
> Is the spec going to be updated soon (i.e. did anyone start the work)? If so, let me r+ it. I am a bit afraid that the WebKit implementation becomes inconsistent with the spec in case where no one is interested in updating the spec.

To my knowledge, John is current editor of the spec, and I know he intends on updating the spec based on all the discussions the WG has had.
------- Comment #17 From 2012-04-01 15:56:43 PST -------
(From update of attachment 135015 [details])
OK!
------- Comment #18 From 2012-04-01 16:15:57 PST -------
Committed r112821: <http://trac.webkit.org/changeset/112821>